# compile dependency issues, scipy-1.73 and numpy-1.22.x don't work well together
# see https://github.com/scipy/scipy/issues/15414
%bcond_with tests
%bcond_with doc_pdf

%global pypi_name sklearn-genetic

Summary:        A genetic feature selection module for scikit-learn
Name:           python-%{pypi_name}
Version:        0.5.1
Release:        3%{?dist}
License:        LGPLv3
URL:            https://github.com/manuel-calzolari/%{pypi_name}
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
sklearn-genetic is a genetic feature selection module for scikit-learn. Genetic algorithms 
simulate the process of natural selection to find the optimal values of a function.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  make
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description -n python3-%{pypi_name}
sklearn-genetic is a genetic feature selection module for scikit-learn. Genetic algorithms 
simulate the process of natural selection to find the optimal values of a function.

%package doc
Summary:        %{summary}

%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  python3-sphinx-latex latexmk
BuildRequires:  %{py3_dist sphinx sphinx-rtd-theme sphinxcontrib-bibtex}
%endif

%description doc
This package provides documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc_pdf}
%make_build -C docs latex SPHINXOPTS='%{?_smp_mflags}'
%make_build -C docs/build/latex LATEXMKOPTS='-quiet'
%endif

%install
%pyproject_install
%pyproject_save_files genetic_selection

%check
%if %{with tests}
%pytest
%endif

%files -n python3-sklearn-genetic -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

%files doc
%license LICENSE.txt
%if %{with doc_pdf}
%doc docs/build/latex/%{pypi_name}.pdf
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 0.5.1-1
- initial build
